org.freeplane.plugin.script.proxy

## Interface Proxy.NodeStyleRO

- All Known Subinterfaces:
    Proxy.NodeStyle
  Enclosing interface:
    Proxy

      public static interface Proxy.NodeStyleRO

  Node's style: `node.style` - read-only.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.Color` | `getBackgroundColor()`
    `java.lang.String` | `getBackgroundColorCode()` returns HTML color spec like #ff0000 (red) or #222222 (darkgray).
    `Proxy.Edge` | `getEdge()`
    `Proxy.Font` | `getFont()`
    `int` | `getMaxNodeWidth()`
    `int` | `getMinNodeWidth()`
    `java.lang.String` | `getName()` Returns the name of the node's style if set or null otherwise.
    `java.awt.Color` | `getNodeTextColor()` Deprecated. since 1.2 - use `getTextColor()` instead.
    `org.freeplane.features.styles.IStyle` | `getStyle()`
    `Proxy.Node` | `getStyleNode()`
    `java.awt.Color` | `getTextColor()`
    `java.lang.String` | `getTextColorCode()`
    `boolean` | `isFloating()`
    `boolean` | `isNumberingEnabled()`

- - ### Method Detail

    - #### getStyle

          org.freeplane.features.styles.IStyle getStyle()

    - #### getName

          java.lang.String getName()

      Returns the name of the node's style if set or null otherwise. For styles with translated names the translation key is returned to make the process robust against language setting changes. It's guaranteed that `node.style.name = node.style.name` does not change the style.
      Since:
        1.2.2

    - #### getStyleNode

          Proxy.Node getStyleNode()

    - #### getBackgroundColor

          java.awt.Color getBackgroundColor()

    - #### getBackgroundColorCode

          java.lang.String getBackgroundColorCode()

      returns HTML color spec like #ff0000 (red) or #222222 (darkgray).
      Since:
        1.2

    - #### getEdge

          Proxy.Edge getEdge()

    - #### getFont

          Proxy.Font getFont()

    - #### getNodeTextColor

          java.awt.Color getNodeTextColor()

      Deprecated. since 1.2 - use `getTextColor()` instead.

    - #### getTextColor

          java.awt.Color getTextColor()

      Since:
        1.2

    - #### getTextColorCode

          java.lang.String getTextColorCode()

    - #### isFloating

          boolean isFloating()

      Since:
        1.2 true if the floating style is set for the node (aka "free node").

    - #### getMinNodeWidth

          int getMinNodeWidth()

      Since:
        1.2.20

    - #### getMaxNodeWidth

          int getMaxNodeWidth()

      Since:
        1.2.20

    - #### isNumberingEnabled

          boolean isNumberingEnabled()

      Since:
        1.3.8